Item Accounts
Bookkeeping accounts for sales lines, per item
Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Location ID
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/integrations/fortnox/item-accounts/sync" \ -H "Content-Type: application/json" \ -d '{ "locationId": 0 }'{ "status": "success", "data": { "created": 0, "updated": 0, "total": 0 }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Query Parameters
Filter by location ID
Filter by company ID (joined through locations)
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/item-accounts"{ "status": "success", "data": { "itemAccounts": [ { "vatId": 1, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "account": "string", "description": "string", "locationId": 0, "isInherited": true, "sourceLocationId": 0, "inheritToChildren": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ] }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
1 <= valueAccount number/code
1 <= lengthHuman-readable description
Location ID. Defaults to caller location if omitted.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/item-accounts" \ -H "Content-Type: application/json" \ -d '{ "account": "string" }'{ "status": "success", "data": { "vatId": 1, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "account": "string", "description": "string", "locationId": 0, "isInherited": true, "sourceLocationId": 0, "inheritToChildren": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Item account UUID
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/item-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "status": "success", "data": { "vatId": 1, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "account": "string", "description": "string", "locationId": 0, "isInherited": true, "sourceLocationId": 0, "inheritToChildren": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Item account UUID
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/v1/item-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "status": "success", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "deleted": true }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Item account UUID
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
1 <= value1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/item-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "status": "success", "data": { "vatId": 1, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "account": "string", "description": "string", "locationId": 0, "isInherited": true, "sourceLocationId": 0, "inheritToChildren": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Inventory item ID
^[0-9]+$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/items/string/accounts"{ "status": "success", "data": { "itemAccounts": [ { "vatId": 1, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "account": "string", "description": "string", "locationId": 0, "isInherited": true, "sourceLocationId": 0, "inheritToChildren": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ] }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Inventory item ID
^[0-9]+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Item account UUID to link
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/items/string/accounts" \ -H "Content-Type: application/json" \ -d '{ "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9" }'{ "status": "success", "data": { "itemAccounts": [ { "vatId": 1, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "account": "string", "description": "string", "locationId": 0, "isInherited": true, "sourceLocationId": 0, "inheritToChildren": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ] }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
Inventory item ID
^[0-9]+$Item account UUID
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/v1/items/string/accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "status": "success", "data": { "itemAccounts": [ { "vatId": 1, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "account": "string", "description": "string", "locationId": 0, "isInherited": true, "sourceLocationId": 0, "inheritToChildren": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ] }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}